<p-card header="Project informations" [style]="{width: 'fit-content'}" *ngIf="projectForm">
  <p-messages key="updated" />
  <p-messages key="rejected" />
  <ng-container>
    <p-confirmDialog [style]="{width: '20vw'}" />

    <form [formGroup]="projectForm" (ngSubmit)="onSaveProjectForm();">
      <label for="name">name</label>
      <input type="text" class="form-control" formControlName="name"
        [ngClass]="{'is-invalid': projectForm.controls['name'].touched && projectForm.controls['name'].invalid}">


      <div class="invalid-feedback">
        <span *ngIf="projectForm.controls['name'].errors?.['required']">required</span>
      </div>

      <label for="description"> description</label>
      <input type="text" class="form-control" formControlName="description"
        [ngClass]="{'is-invalid': projectForm.controls['description'].touched && projectForm.controls['description'].invalid}">

      <div class="invalid-feedback">
        <span *ngIf="projectForm.controls['description'].errors?.['required']">required</span>
        <span *ngIf="projectForm.controls['description'].errors?.['minlength']">very short description</span>
      </div>

      <label for="priority">priority</label>
      <select class="form-control" formControlName="priority">
        <option *ngFor="let priority of priorities | keyvalue" [ngValue]="priority.value">
          {{ priority.value }}
        </option>
      </select>
      <div class="invalid-feedback">
        <span *ngIf="projectForm.controls['priority'].errors?.['required']">required</span>
      </div>
      <label for="state">project state</label>
      <select class="form-control" formControlName="state">
        <option *ngFor="let state of states | keyvalue" [ngValue]="state.value">
          {{ state.value }}
        </option>
      </select>

      <div class="invalid-feedback">
        <span *ngIf="projectForm.controls['state'].errors?.['required']">required</span>
      </div>

      <label for="employeeId"> employee</label>
      <select formControlName="employeeId" class="form-control">
        <option *ngFor="let employeeMap of employeesMap | keyvalue" [ngValue]="employeeMap.key">
          {{employeeMap.value}}
        </option>
      </select>
      <div class="invalid-feedback">
        <span *ngIf="projectForm.controls['employeeId'].errors?.['required']">required</span>
      </div>

      <label for="companyId"> company</label>
      <select formControlName="companyId" class="form-control">
        <option *ngFor="let companyMap of companiesMap | keyvalue" [ngValue]="companyMap.key" disabled>
          {{companyMap.value}}
        </option>
      </select>
      <div class="invalid-feedback">
        <span *ngIf="projectForm.controls['companyId'].errors?.['required']">required</span>
      </div>

      <div class="text-center mt-2">
        <button type="submit" class="btn btn-outline-primary">
          save
        </button>
      </div>
    </form>
  </ng-container>
</p-card>